#
# spec file for package libreoffice-icon-theme-papirus
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libreoffice-icon-theme-papirus
# https://en.opensuse.org/openSUSE:Package_naming_guidelines#SCM_snapshots
Version:        20170228+git8.gcfe7659
Release:        lp152.2.2
Summary:        Papirus theme for Libreoffice
License:        GPL-3.0
Group:          System/GUI/Other
Url:            https://github.com/PapirusDevelopmentTeam/papirus-libreoffice-theme
Source0:        https://github.com/PapirusDevelopmentTeam/papirus-libreoffice-theme/archive/cfe7659d7fe68c14e8a5a104d59b56d8dc86e06a.tar.gz#/papirus-libreoffice-theme-cfe7659d7fe68c14e8a5a104d59b56d8dc86e06a.tar.gz
BuildRequires:  automake
Requires:	libreoffice-share-linker
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description

Papirus theme for LibreOffice is available in three variants:

ePapirus
Papirus
Ppirus Dark

%prep
%setup -n papirus-libreoffice-theme-cfe7659d7fe68c14e8a5a104d59b56d8dc86e06a

%install
make DESTDIR=%{buildroot} PREFIX=%{_datadir} install

%posttrans
rpm -ql %{name} > %{_datadir}/libreoffice/%{name}_list.txt || true 
if [ -f %{_datadir}/libreoffice/%{name}_list.txt ] ; then 
    %{_bindir}/libreoffice-share-linker %{_datadir}/libreoffice/%{name}_list.txt || true 
fi 

%postun
if [ "$1" = "0" -a -f %{_datadir}/libreoffice/%{name}_list.txt -a -x %{_bindir}/libreoffice-share-linker ]; then 
    %{_bindir}/libreoffice-share-linker --unlink %{_datadir}/libreoffice/%{name}_list.txt || true 
    rm -f %{_datadir}/libreoffice/%{name}_list.txt 2> /dev/null || true 
fi 


%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README.md
%dir %{_datadir}/libreoffice
%dir %{_datadir}/libreoffice/share
%dir %{_datadir}/libreoffice/share/config

%{_datadir}/libreoffice/share/config/images_papirus.zip
%{_datadir}/libreoffice/share/config/images_epapirus.zip
%{_datadir}/libreoffice/share/config/images_papirus_dark.zip


%changelog
* Tue Aug 20 2019 Antônio Vinicius Menezes Medeiros <linuxkamarada@gmail.com>
- Packaging of the latest commit to master (cfe7659 on Apr 13 2018)
* Sun Jan 22 2017 kill_it@mail.ru
- 20170119
- new port, new icons and colors
- add ePapirus version
- 2017.01.12-r23
- Initial release.
